<?php
include("../sistem/cfg.dat");
include("../sistem/cfg_forum.dat");
include("../sistem/global.dat");
include("../sistem/functions_forum.dat");
include("../temes/$teme/verh.dat");


echo'<div class="razd"><B>Форум</B></div>';
if($status=="uzer" || $status=="gost"|| $status=="moder")
{
   echo'Вам запрещено здесь находится<br>';
}

if(isset($_GET['st'])){$st = $_GET['st'];}
if(isset($_POST['r'])){$r = $_POST['r'];}
if(isset($_GET['r'])){$r = $_GET['r'];}
if(isset($_POST['param_member'])){$param_member = $_POST['param_member'];}
if(isset($_GET['param_member'])){$param_member = $_GET['param_member'];}
if(isset($_POST['txt_sob'])){$txt_sob = $_POST['txt_sob'];}

if($status=="admin")
{
   if($param_member=="index")
   {
      echo'Управление форумом<br>';
      $str = file("../data/forum/razd.dat");
      $nom = count($str);
      if($nom == "0"){echo'Разделы ещё не созданы<br>';}
      
      $i = 0;
      while($i < $nom)
      {
          //получаем нужные параметры
          $str[$i] = trim($str[$i]);
          $cfg_razd = file_get_contents("../data/forum/$str[$i].razd");
          $cfg_razd = explode("<||>",$cfg_razd);//название раздела<||>кол тем<||>кол сообщ<||>посл тема<||>автор сообщ<||>ид темы<||>
          
          echo'<div class="sob"><a href="temes.php?r='.$str[$i].'&amp;'.SID.'">'.$cfg_razd[0].'</a>';
          echo' <a href="addrazd.php?r='.$str[$i].'&amp;param_member=izm_razd&amp;'.SID.'">[Изм]</a> <a href="addrazd.php?r='.$str[$i].'&amp;param_member=dell_razd&amp;'.SID.'">[Удал]</a>'; 
          if($i > 0)
          {
             echo'<a href="addrazd.php?st='.$i.'&amp;param_member=up&amp;'.SID.'">[вверх]</a>';
          }
          if($i < ($nom - 1))
          {
             echo'<a href="addrazd.php?st='.$i.'&amp;param_member=down&amp;'.SID.'">[вниз]</a>';
          }
          
          echo'</div>';
          ++$i;
      }
      echo'<a href="addrazd.php?param_member=dob_razd&amp;'.SID.'">Добавить раздел</a><br>';
      echo'<a href="index.php?'.SID.'">В форум</a><br>';
      echo'<a href="../index.php?'.SID.'">На главную</a><br>';
   }
//////////////////////////////////////Удаление раздела////////////////////////////////////
   if($param_member=="dell_razd")
   {
      echo'Удаление раздела<br>';
      if (eregi("[^0-9]" , $r )){ echo'запрещённые символы<br>'; }else
      {
         echo'Вы уверены <a href="addrazd.php?r='.$r.'&amp;param_member=dell_razd_da&amp;'.SID.'">Да</a> <a href="addrazd.php?param_member=index&amp;'.SID.'">Отмена</a><br>';
      }
   }
   
   if($param_member=="dell_razd_da")
   {
      echo'Удаление раздела<br>';
      if (eregi("[^0-9]" , $r )){ echo'запрещённые символы<br>'; }else
      {
         //удаление файла С параметрами раздела
         @unlink("../data/forum/$r.razd");
         @unlink("../data/forum/$r.temes");
         //удаления из списка разделов
         $str = file("../data/forum/razd.dat");
         $nom=count($str);
         $i='0';
         $file_razd = fopen("../data/forum/razd.dat", "w+");
         flock ($file_razd,LOCK_EX);
         while($i < $nom)
         {
            if(trim($str[$i]) != $r)
            {
               fputs($file_razd,$str[$i]);
            }
            ++$i;
         }
         flock ($file_razd,LOCK_UN);
         fclose($file_razd);
         @chmod("../data/forum/razd.dat", 0666);
         echo'Удалено <a href="addrazd.php?param_member=index&amp;'.SID.'">Далее</a><br>';
      }
   }
////////////////////////////////////////////////////////новый раздел//////////////////////////////////////////
   
   if($param_member=="dob_razd")
   {
      echo'Новый раздел<br>';
      echo'<form name="forma" action="addrazd.php?'.SID.'" method="post">';
      echo'<INPUT TYPE="hidden" NAME="fid" VALUE="'.$fid.'">';
      echo'<INPUT TYPE="hidden" NAME="param_member" VALUE="dob_razd2">';
      echo'Название раздела<br>';
      echo'<input type="text" name="txt_sob" value="" size="10" maxlength="100"><br>';
      echo'<input type="submit" name="" value="добавить"><br>';
      echo'</form>';
      echo'<a href="addrazd.php?param_member=index&amp;'.SID.'">Назад</a><br>';
   }
   
   
   if($param_member=="dob_razd2")
   {
      echo'Новый раздел<br>';
         $arr = file("../data/forum/razd.dat");
         $nom=count($arr);
         
         $txt_sob=htmlspecialchars(trim($txt_sob));
         $new_count_razd = new_count_razd();
         
         $file_razd_data = fopen("../data/forum/$new_count_razd.temes", "w+");
         flock ($file_razd_data,LOCK_EX);
         fputs($file_razd_data,"");
         flock ($file_razd_data,LOCK_UN);
         fclose($file_razd_data);
         @chmod("../data/forum/$new_count_razd.temes", 0666);
         
         $kod = $txt_sob.'<||>0<||>0<||><||><||>0<||>';
         $file_razd_data = fopen("../data/forum/$new_count_razd.razd", "w+");
         flock ($file_razd_data,LOCK_EX);
         fputs($file_razd_data,$kod);
         flock ($file_razd_data,LOCK_UN);
         fclose($file_razd_data);
         @chmod("../data/forum/$new_count_razd.razd", 0666);
         
         
         $filelinck = fopen("../data/forum/razd.dat", "a+");
         flock ($filelinck,LOCK_EX);
         fputs($filelinck,$new_count_razd."\n");
         flock ($filelinck,LOCK_UN);
         fclose($filelinck);
         @chmod("../data/forum/razd.dat", 0666);
         
         echo'Готов раздел <a href="addrazd.php?param_member=index&amp;'.SID.'">Далее</a><br>';
      
   }
///////////////////////////////////////////изменение раздела//////////////////////////////////////////
   if($param_member=="izm_razd")
   {
      echo'Изминение раздела<br>';
      if (eregi("[^0-9]" , $r )){ echo'запрещённые символы<br>'; }else
      {
         if($cfg_razd = file_get_contents("../data/forum/$r.razd"))
         {
            $cfg_razd = explode("<||>",$cfg_razd);
            echo'<form name="forma" action="addrazd.php?'.SID.'" method="post">';
            echo'<INPUT TYPE="hidden" NAME="r" VALUE="'.$r.'">';
            echo'<INPUT TYPE="hidden" NAME="param_member" VALUE="izm_razd2">';
            echo'Название раздела<br>';
            echo'<input type="text" name="txt_sob" value="'.$cfg_razd[0].'" size="10" maxlength="100"><br>';
            echo'<input type="submit" name="" value="Изменить"><br>';
            echo'</form>';
         }else{ echo'Ошибка<br>'; }
      echo'<a href="addrazd.php?param_member=index&amp;'.SID.'">Назад</a><br>';
      }
   }
   
   if($param_member=="izm_razd2")
   {
      echo'Изминение раздела<br>';
      if (eregi("[^0-9]" , $r )){ echo'запрещённые символы<br>'; }else
      {
         if($cfg_razd = file_get_contents("../data/forum/$r.razd"))
         {
            $cfg_razd = explode("<||>",$cfg_razd);
            $txt_sob=htmlspecialchars(trim($txt_sob));
            $kod = $txt_sob.'<||>'.$cfg_razd[1].'<||>'.$cfg_razd[2].'<||>'.$cfg_razd[3].'<||>'.$cfg_razd[4].'<||>'.$cfg_razd[5].'<||>';
            $file_razd_data = fopen("../data/forum/$r.razd", "w+");
            flock ($file_razd_data,LOCK_EX);
            fputs($file_razd_data,$kod);
            flock ($file_razd_data,LOCK_UN);
            fclose($file_razd_data);
            @chmod("../data/forum/$r.razd", 0666);
            echo'Готово<br>';
         }else{ echo'Ошибка<br>'; }
         
         echo'<a href="addrazd.php?param_member=index&amp;'.SID.'">Далее</a><br>';
      }
   }
//////////////////////////////////////Сдвигание раздела////////////////////////////////////
   if($param_member=="up")
   {
      echo'Сдвигание раздела<br>';
      if (eregi("[^0-9]" , $st )){ echo'запрещённые символы<br>'; }else
      {
         $str = file("../data/forum/razd.dat");
         $nom = count($str);
         
         if($st > 0)
         {
            $i='0';
            $file_razd = fopen("../data/forum/razd.dat", "w+");
            flock ($file_razd,LOCK_EX);
            while($i < $nom)
            {
               if($i == ($st - 1))
               {
                  fputs($file_razd,$str[$st]);
               }
               if($i != $st)
               {
                  fputs($file_razd,$str[$i]);
               }
               ++$i;
            }
            flock ($file_razd,LOCK_UN);
            fclose($file_razd);
            @chmod("../data/forum/razd.dat", 0666);
         }
         echo'Готово<br>';
         echo'<a href="addrazd.php?param_member=index&amp;'.SID.'">Далее</a><br>';
      }
   }
   
   if($param_member=="down")
   {
      echo'Сдвигание раздела<br>';
      if (eregi("[^0-9]" , $st )){ echo'запрещённые символы<br>'; }else
      {
         $str = file("../data/forum/razd.dat");
         $nom = count($str);
         
         if($st < ($nom - 1))
         {
            $i='0';
            $file_razd = fopen("../data/forum/razd.dat", "w+");
            flock ($file_razd,LOCK_EX);
            while($i < $nom)
            {
               if($i != $st)
               {
                  fputs($file_razd,$str[$i]);
               }
               if($i == ($st + 1))
               {
                  fputs($file_razd,$str[$st]);
               }
               ++$i;
            }
            flock ($file_razd,LOCK_UN);
            fclose($file_razd);
            @chmod("../data/forum/razd.dat", 0666);
            
         }
         echo'Готово<br>';
         echo'<a href="addrazd.php?param_member=index&amp;'.SID.'">Далее</a><br>';
      }
   }
   
   
}
//////////////////////////////////////////////////Конец, спасибо за внимание/////////////////////////////////////////////////
include("../sistem/global_end.dat");
include("../temes/$teme/niz.dat");
?>